Package com.pixelmed.network

## Class ApplicationEntity

- java.lang.Object
- - com.pixelmed.network.ApplicationEntity

- Direct Known Subclasses:
    `ApplicationEntityConfigurationDialog`

      public class ApplicationEntity
      extends java.lang.Object

  This class provides a description of the parameters of a known Application Entity.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `dicomAETitle` |
    `protected PresentationAddress` | `presentationAddress` |
    `protected java.lang.String` | `primaryDeviceType` |
    `protected java.lang.String` | `queryModel` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationEntity​(ApplicationEntity ae)` |
    `ApplicationEntity​(java.lang.String dicomAETitle)` |
    `ApplicationEntity​(java.lang.String dicomAETitle, PresentationAddress presentationAddress, java.lang.String queryModel, java.lang.String primaryDeviceType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDicomAETitle()` |
    `PresentationAddress` | `getPresentationAddress()` |
    `java.lang.String` | `getPrimaryDeviceType()` |
    `java.lang.String` | `getQueryModel()` |
    `void` | `setPresentationAddress​(PresentationAddress presentationAddress)` |
    `void` | `setPrimaryDeviceType​(java.lang.String primaryDeviceType)` |
    `void` | `setQueryModel​(java.lang.String queryModel)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dicomAETitle

          protected java.lang.String dicomAETitle

    - #### presentationAddress

          protected PresentationAddress presentationAddress

    - #### queryModel

          protected java.lang.String queryModel

    - #### primaryDeviceType

          protected java.lang.String primaryDeviceType

  - ### Constructor Detail

    - #### ApplicationEntity

          public ApplicationEntity​(ApplicationEntity ae)

    - #### ApplicationEntity

          public ApplicationEntity​(java.lang.String dicomAETitle)

    - #### ApplicationEntity

          public ApplicationEntity​(java.lang.String dicomAETitle,
                                   PresentationAddress presentationAddress,
                                   java.lang.String queryModel,
                                   java.lang.String primaryDeviceType)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### setPresentationAddress

          public void setPresentationAddress​(PresentationAddress presentationAddress)

    - #### setQueryModel

          public void setQueryModel​(java.lang.String queryModel)

    - #### setPrimaryDeviceType

          public void setPrimaryDeviceType​(java.lang.String primaryDeviceType)

    - #### getDicomAETitle

          public final java.lang.String getDicomAETitle()

    - #### getPresentationAddress

          public final PresentationAddress getPresentationAddress()

    - #### getQueryModel

          public final java.lang.String getQueryModel()

    - #### getPrimaryDeviceType

          public final java.lang.String getPrimaryDeviceType()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`